AnsweredAssumed Answered

activiti-cdi support for Java EE 7 / Glassfish 4.1?

Question asked by stephan.bauer on Nov 11, 2014
Latest reply on Nov 19, 2014 by jbarrez
Hi,

our appserver is Glassfish 4.1 with Java EE7.

According to the dependencies of activiti-cdi 5.6.14 - see http://mvnrepository.com/artifact/org.activiti/activiti-cdi/5.16.4 -
it is depending on jboss-javaee-6.0.

We have already tried a  lot of stuff to get activiti to inject the activiti-stuff like ProcessInstance or RuntimeService into our ServiceTask (which we tried with different Scopes including @Dependent and @BusinessProcessScoped) but we always end up with null for the injections.

Before I bother you with all our configuration and implementation details, I would like to ask the general question if anybody has got activiti-cdi working under glassfish 4.1 or if Java EE7 is generally not yet supported?

Many thanks in advance,
Stephan

Outcomes